
*Read the overview paragraph of healthy eating seminar results.doc .
*Open the healthy eating moderation.sav data file.
*There are two things not discussed in the opening paragraph - why?.

*Run this syntax and match to the intentions paragraph of the results section.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT intents
  /METHOD=ENTER attitude control subjnorm 
  /METHOD=ENTER c_uq c_sid ci_sidxuq
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .
*Bet your output does not match the results section.  Can you figure out why?.
*NB normally you would not have the "correct" responses written out for you - you have to remember to check so you get there yourself!.

*Generating the simple effect tests.

FREQUENCIES
  VARIABLES=c_sid c_uq 
  /STATISTICS=MINIMUM MAXIMUM MEAN MEDIAN STDDEV SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM
  /ORDER=  ANALYSIS .

*Group norms effects compared for low and high ID (identification is the moderator).
compute c_idlo = c_sid + .80 .
compute c_idhi = c_sid - .80 .
compute ci_idhgn = c_uq * c_idhi .
compute ci_idlgn = c_uq * c_idlo .
execute.

FREQUENCIES
  VARIABLES=c_idlo c_idhi ci_idhgn ci_idlgn
  /STATISTICS=MINIMUM MAXIMUM MEAN MEDIAN SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM
  /ORDER=  ANALYSIS .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT intents
  /METHOD=ENTER attitude control subjnorm 
  /METHOD=ENTER c_idlo c_uq ci_idlgn
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .
*given the above syntax for lows, can you work out the syntax to get the simple slope for highs?.

*OK, now - the results in the healthy eating manuscript are presented with the interaction lumped in with the identity and norm component direct effects.
*This is to reduce complexity and save space across the multiple DVs.  But it is not entirely conventional.  Modify the syntax below so that you are running 
*a three-block HMR with identity and norms in Block 2 and the interaction term in Block 3.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT intents
  /METHOD=ENTER attitude control subjnorm 
  /METHOD=ENTER c_uq c_sid ci_sidxuq
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .

*In this case, we see a similar (but not identical) story when the effects are considered jointly vs sequentially.
*For this paper, I reallly only cared about the interaction and the direct effects weren't important.

*TEXT / WRITING EXERCISE: Copy the current intentions results paragraph to a new file and alter it so that it reports the new three-block results.
*	NB you would have to alter Table 2 also if you went with this for your manuscript write-up.

*Having finished that, reopen or go back to the original results document.  Can you reproduce the results for the next DV?.
*self evaluation.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT avoid
  /METHOD=ENTER attitude control subjnorm intents
  /METHOD=ENTER c_uq c_sid ci_sidxuq 
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .

*And healthy food choices aka checklist.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT cheklist
  /METHOD=ENTER attitude control subjnorm intents
  /METHOD=ENTER c_uq c_sid ci_sidxuq 
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .

*And the final DV candy.  Note the new control variable - Time 1 candy - in its own first block.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT candyt2
  /method=enter candyt1
  /METHOD=ENTER attitude control subjnorm intents	
  /METHOD=ENTER c_uq c_sid ci_sidxuq 
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .
*Check out what I did with Table 2 to avoid having to put candy in.  Also NB you could have reported the sig intentions coefficient in B2 if you wanted to - 
here I avoid dealing with the apparent mediation (which would almost certainly be ns) of intents in b2 by the referent informational influence variables in b3.

CORRELATIONS
  /VARIABLES=attitude subjnorm control intents c_sid c_uq c_sidxuq candyt1 avoid cheklist candyt2
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=LISTWISE .

CORRELATIONS
  /VARIABLES=attitude subjnorm control intents c_sid c_uq c_sidxuq candyt1 avoid cheklist candyt2 mean_sid nm_uq
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=LISTWISE .

*FOOTNOTE INTERACTION OF PC and INTENTIONS.
*What's different about the footnote 2 analyses?.

FREQUENCIES
  VARIABLES=control intents
  /STATISTICS=MINIMUM MAXIMUM MEAN MEDIAN SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM
  /ORDER=  ANALYSIS .

compute c_pc = control - 1.4336 .
compute c_intent = intents - 1.2759 .
execute .

compute ci_pcxin = c_pc * c_intent.
execute.

FREQUENCIES
  VARIABLES=ci_pcxin
  /STATISTICS=MINIMUM MAXIMUM MEAN MEDIAN SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM
  /ORDER=  ANALYSIS .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT avoid
  /METHOD=ENTER attitude subjnorm c_pc c_intent 
  /METHOD=ENTER c_uq c_sid ci_sidxuq 
  /method=enter ci_pcxin
  /RESIDUALS DURBIN
  /CASEWISE PLOT(ZRESID) OUTLIERS(3) .

*How do you do the ones for cheklist and candyt2?.
